import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Layouts


Item {
    id: header

    ColumnLayout {
        anchors.fill: parent
        Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter

        Item {
            id: item2
            width: 200
            height: 200
            Layout.preferredHeight: 10
            Layout.fillWidth: true
        }

        Label {
            id: infoHeader
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: qsTr("Design Studio Connection Menu")
        }

        Label {
            id: statusLabel
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: "Click the button below to start\nadvertising this device on the network"
            Connections {
                target: backend
                function onNetworkUpdated(newStatus){
                    statusLabel.text = newStatus
                }
            }
        }

        Item {
            id: item1
            Layout.fillHeight: true
            Layout.fillWidth: true
        }

        Button {
            property bool isRunning: false
            id: startConnection
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            Layout.fillWidth: true
            height: 100
            text: qsTr("Start Connection")
            onClicked: {
                if (isRunning) {
                    backend.disconnectDesignStudio()
                    isRunning = false
                    text = qsTr("Start Connection")
                    statusLabel.text = "Click the button below to start\nadvertising this device on the network"
                } else {
                    let retval = backend.connectDesignStudio()
                    if (retval) {
                        text = qsTr("Stop Connection")
                        isRunning = true
                    }
                }
            }
        }
    }
}
